<?

function xhtml_head(){
  header('Content-Type: text/html; charset=utf8');
  print '<?xml version="1.0"?>';
  print '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"';
  print ' "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">';
?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" dir="ltr">
<head>
  <title>DokuWiki UTF8 convert</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf8" />
  <meta name="generator" content="DokuWiki UTF8 converter" />
  <link rel="stylesheet" media="screen" type="text/css" href="style.css" />
</head>
<body>
<div class="page">

<h1>UTF8 Conversion helper</h1>
<?
}

function xhtml_foot(){
?>
</div>
</body>
</html>
<?
}

function xhtml_configerror(){
  global $DWPATH;
?>
<p><b>Error:</b> I could not find a valid DokuWiki installation at the
   specified location (<code><?=$DWPATH?></code>).</p>
<p>Either the path is wrong or your DokuWiki installation wasn't updated
   yet. You should read 
   <a href="http://wiki.splitbrain.org/wiki:utf8update">wiki:utf8update</a>
   first</p>

<p>Please edit this script and change the <code>$DWPATH</code> variable
   at the very top.</p>
<?
}

function xhtml_hello(){
  global $conf;
?>
<p>This tool will help you converting your existing wiki data to UTF8
   encoding. More info is available at
  <a href="http://wiki.splitbrain.org/wiki:utf8update">wiki:utf8update</a>
</p>

<p><b>It is recommended to make a backup first!</b></p>

<p>Some more info (read carefully):<br />
   This script will go through your data directory
   (<?=$conf['datadir']?>) and will recode all txt
   files it can find to UTF8. This will take some time if you have
   a lot of files. Do not interrupt the script! The script tries
   to reset the <code>max_execution_time</code> of PHP so it will not timeout
   by itself. However this is not possible when running in safemode.
   It should be safe to run this script multiple times - already converted
   files will be skipped.</p>

<p>Things to do before you run this script:</p>

<ul>
  <li>Make a backup! Really! I mean it!</li>
  <li>Remove the files from the attic - they will not be converted</li>
  <li>Make sure <b>all data files are writable</b> by the webserver!</li>
</ul>

<hr />

<p>Okay. Everything set up? Fine. One last thing: You must specify
   which charset your old data uses - just select it from the dropdown
   box below. Then press the button and see this amazing script do
   its amazing work.</p>

<?
xhtml_encodeselect();
}

function xhtml_finished(){
?>
<p>Okay. The conversion is done. Now do the following steps:</p>

<ul>
  <li>Delete this script you don't need it anymore</li>
  <li>Make sure you deleted all the file in the attic (but you have
      done this already)</li>
  <li>Have a look at the ouput above and fix all errors that may
      occured</li>
  <li>Have fun with your DokuWiki</li>
</ul>
<?
}

function xhtml_encodeselect(){
?>
  <form action="<?=$_SERVER['PHP_SELF']?>" method="get">
  <select type="text" name="encoding">
     <option value="">---DokuWiki languages---</option>
     <option value="iso-8859-2">iso-8859-2 (cs,pl,hu)</option>
     <option value="iso-8859-5">iso-8859-5 (ru)</option>
     <option value="iso-8859-15" selected="selected">iso-8859-15 (da,de,en,es,eu,fi,fr,nl,no,pt,sv)</option>
     <option value="">---Others---</option>
     <option>cp037</option>
     <option>cp1006</option>
     <option>cp1026</option>
     <option>cp424</option>
     <option>cp437</option>
     <option>cp500</option>
     <option>cp737</option>
     <option>cp775</option>
     <option>cp850</option>
     <option>cp852</option>
     <option>cp855</option>
     <option>cp856</option>
     <option>cp857</option>
     <option>cp860</option>
     <option>cp861</option>
     <option>cp862</option>
     <option>cp863</option>
     <option>cp864</option>
     <option>cp865</option>
     <option>cp866</option>
     <option>cp869</option>
     <option>cp874</option>
     <option>cp875</option>
     <option>gsm0338</option>
     <option>iso-8859-1</option>
     <option>iso-8859-10</option>
     <option>iso-8859-11</option>
     <option>iso-8859-13</option>
     <option>iso-8859-14</option>
     <option>iso-8859-15</option>
     <option>iso-8859-16</option>
     <option>iso-8859-2</option>
     <option>iso-8859-3</option>
     <option>iso-8859-4</option>
     <option>iso-8859-5</option>
     <option>iso-8859-6</option>
     <option>iso-8859-7</option>
     <option>iso-8859-8</option>
     <option>iso-8859-9</option>
     <option>koi8-r</option>
     <option>koi8-u</option>
     <option>mazovia</option>
     <option>nextstep</option>
     <option>stdenc</option>
     <option>symbol</option>
     <option>turkish</option>
     <option>us-ascii</option>
     <option>us-ascii-quotes</option>
     <option>windows-1250</option>
     <option>windows-1251</option>
     <option>windows-1252</option>
     <option>windows-1253</option>
     <option>windows-1254</option>
     <option>windows-1255</option>
     <option>windows-1256</option>
     <option>windows-1257</option>
     <option>windows-1258</option>
     <option>x-mac-ce</option>
     <option>x-mac-cyrillic</option>
     <option>x-mac-greek</option>
     <option>x-mac-icelandic</option>
     <option>x-mac-roman</option>
     <option>zdingbat</option>
  </select>
  <input type="submit" value="Do the conversion" />
</form>
<?
}

?>
